import { Injectable } from '@nestjs/common';
import { UsuariosService } from 'src/shared/usuarios.service';


@Injectable()
export class LoginService {
    constructor(private readonly usuariosService: UsuariosService){}
    
    login(nickname:string){
        const usuario=this.usuariosService.obtenerUsuarioPorNickname(nickname);
        if (usuario){
          return usuario.uuid
        } else {
          return this.usuariosService.creaUsuario(nickname);
        }
      }

}
